EasyCwmp - easycwmp
View Issue Details
0000353easycwmp[All Projects] Bugpublic2018-08-31 21:142018-09-01 13:26
kalilac 
 
normalminorhave not tried
newopen 
LinuxCentOS 7 7.5.1804 (Core)
0000353: checking for MICROXML... no configure: error: Package requirements (microxml) were not met: No package 'microxml' found
Following the manual installation, exactly how it is there, when we reach the ./configure part it finished with the above error.
I tried to remove the microxml directory and redone the Microxml step again but it was the same result.
Exactly how it is on this page: http://www.easycwmp.org/install.html [^]

I must used the json-c-0.11.tar.gz vertion due a already knew bug.
No tags attached.
Issue History
2018-08-31 21:14kalilacNew Issue
2018-09-01 13:26kalilacNote Added: 0000907

Notes
(0000907)
kalilac   
2018-09-01 13:26   
I used a workaround to pass this problem. On the line command I puted this:

./configure --enable-debug --enable-devel --enable-acs=multi --enable-jsonc=1 MICROXML_CFLAGS="-I/opt/git/microxml" MICROXML_LIBS="-L/opt/git/microxml"

and passed just with one warning, this one "configure: WARNING: unrecognized options: --enable-acs".